/**
 * An instances of this class contains a geoographic coordinate.  
 * 
 * @author Uno Holmer
 * @version 2009-12-01
 */
public class GeoPosition implements Cloneable
{
    public static final GeoPosition vingaLighthouse = 
        new GeoPosition(new LatitudeAngle(true,57,37.929F),new LongitudeAngle(false,11,36.068F));
    
    private LatitudeAngle latitude;
    private LongitudeAngle longitude;
    
    public GeoPosition(LatitudeAngle latitude,LongitudeAngle longitude)
    {
        this.latitude = latitude;
        this.longitude = longitude;
    }
        
    @Override
    public GeoPosition clone() {
        GeoPosition copy = null;
        try {
            copy = (GeoPosition)super.clone();
        }
        catch (CloneNotSupportedException e) {
            throw new InternalError();
        }
        copy.latitude = latitude.clone();
        copy.longitude = longitude.clone();
        return copy;
    }
    
    public LatitudeAngle getLatitude()
    {
        return latitude;
    }

    public LongitudeAngle getLongitude()
    {
        return longitude;
    }
}
